searchNodes=[{"doc":"Kinext is an Elixir wrapper for the OpenKinect library. OpenKinect allows access to the XBOX 360 Kinect peripheral. Since the Kinect has a proprietary connector, you will need a USB adapter to connect your computer to the Kinect. Project Status This project is currently in functioning state. I have no current plans to actually use the library for anything specific, it was more of an exercize for me to learn NIFs and have some fun. If you are using this library in your own project, I would love any feedback you have about it, and would be happy to dive deeper, just open a Github issue. Installation The Kinext library can be installed by adding kinext to your list of dependencies in mix.exs: def deps do [ {:kinext, &quot;~&gt; 0.1.5&quot;} ] end You will also need to install OpenKinect. On OSX this might be as simple as running brew install libfreenect. I also found I needed to brew cask install quartz. Documentation The docs can be found at https://hexdocs.pm/kinext.","ref":"Kinext.html","title":"Kinext","type":"module"},{"doc":"Interface for, and structure representing, an OpenKinect context. OpenKinect contexts are the top level entity in OpenKinect, from which you can access the list of devices.","ref":"Kinext.Context.html","title":"Kinext.Context","type":"module"},{"doc":"","ref":"Kinext.Context.html#init/0","title":"Kinext.Context.init/0","type":"function"},{"doc":"","ref":"Kinext.Context.html#num_devices/1","title":"Kinext.Context.num_devices/1","type":"function"},{"doc":"","ref":"Kinext.Context.html#open_device/2","title":"Kinext.Context.open_device/2","type":"function"},{"doc":"","ref":"Kinext.Context.html#process_events/1","title":"Kinext.Context.process_events/1","type":"function"},{"doc":"","ref":"Kinext.Context.html#shutdown/1","title":"Kinext.Context.shutdown/1","type":"function"},{"doc":"","ref":"Kinext.Context.html#t:t/0","title":"Kinext.Context.t/0","type":"type"},{"doc":"Interface for, and struct representing, an OpenKinect device. OpenKinect devices represent a single kinext device, and are used to access and modify features on the device such as video, LED, and the tilt motor.","ref":"Kinext.Device.html","title":"Kinext.Device","type":"module"},{"doc":"","ref":"Kinext.Device.html#get_tilt_degs/1","title":"Kinext.Device.get_tilt_degs/1","type":"function"},{"doc":"","ref":"Kinext.Device.html#led_colors/0","title":"Kinext.Device.led_colors/0","type":"function"},{"doc":"","ref":"Kinext.Device.html#set_led/2","title":"Kinext.Device.set_led/2","type":"function"},{"doc":"","ref":"Kinext.Device.html#set_tilt_degs/2","title":"Kinext.Device.set_tilt_degs/2","type":"function"},{"doc":"","ref":"Kinext.Device.html#t:t/0","title":"Kinext.Device.t/0","type":"type"},{"doc":"Provides access to C NIFs. This module is used by the higher level modules such as Kinext.Context, Kinext.Device, and Kinext.Video.","ref":"Kinext.Native.html","title":"Kinext.Native","type":"module"},{"doc":"","ref":"Kinext.Native.html#freenect_get_tilt_degs/1","title":"Kinext.Native.freenect_get_tilt_degs/1","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_init/0","title":"Kinext.Native.freenect_init/0","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_num_devices/1","title":"Kinext.Native.freenect_num_devices/1","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_open_device/2","title":"Kinext.Native.freenect_open_device/2","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_process_events/1","title":"Kinext.Native.freenect_process_events/1","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_set_led/2","title":"Kinext.Native.freenect_set_led/2","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_set_tilt_degs/2","title":"Kinext.Native.freenect_set_tilt_degs/2","type":"function"},{"doc":"","ref":"Kinext.Native.html#freenect_shutdown/1","title":"Kinext.Native.freenect_shutdown/1","type":"function"},{"doc":"","ref":"Kinext.Native.html#kinext_start_video/2","title":"Kinext.Native.kinext_start_video/2","type":"function"},{"doc":"","ref":"Kinext.Native.html#load_nifs/0","title":"Kinext.Native.load_nifs/0","type":"function"},{"doc":"Example usage of the video and LED functionality in Kinext. Can be run via mix kinext.go_picture and mix kinext.go_led","ref":"Kinext.Runner.html","title":"Kinext.Runner","type":"module"},{"doc":"","ref":"Kinext.Runner.html#go_led/0","title":"Kinext.Runner.go_led/0","type":"function"},{"doc":"","ref":"Kinext.Runner.html#go_picture/0","title":"Kinext.Runner.go_picture/0","type":"function"},{"doc":"","ref":"Kinext.Runner.html#write/2","title":"Kinext.Runner.write/2","type":"function"},{"doc":"Interface for, and struct representing, a video &quot;context&quot; for a kinext device. To access the video with kinext, you must first create a new video context via the new/2 function. To retrieve each frame of the video, you then request a frame via the get_frame/1 function. The underlying OpenKinect video paradigm is complex (raw RGB, pointers, and callbacks), and this abstraction eliminates that complexity.","ref":"Kinext.Video.html","title":"Kinext.Video","type":"module"},{"doc":"","ref":"Kinext.Video.html#get_frame/1","title":"Kinext.Video.get_frame/1","type":"function"},{"doc":"","ref":"Kinext.Video.html#new/2","title":"Kinext.Video.new/2","type":"function"},{"doc":"","ref":"Kinext.Video.html#t:t/0","title":"Kinext.Video.t/0","type":"type"},{"doc":"","ref":"Mix.Tasks.Kinext.GoLed.html","title":"Mix.Tasks.Kinext.GoLed","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1.","ref":"Mix.Tasks.Kinext.GoLed.html#run/1","title":"Mix.Tasks.Kinext.GoLed.run/1","type":"function"},{"doc":"","ref":"Mix.Tasks.Kinext.GoPicture.html","title":"Mix.Tasks.Kinext.GoPicture","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1.","ref":"Mix.Tasks.Kinext.GoPicture.html#run/1","title":"Mix.Tasks.Kinext.GoPicture.run/1","type":"function"}]